Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Interface RelationalModel

All Known Subinterfaces:
  AuxiliaryDatabaseObject

All Known Implementing Classes:
  AbstractAuxiliaryDatabaseObject, Constraint, DenormalizedTable, ForeignKey, Index, PrimaryKey, SimpleAuxiliaryDatabaseObject, Table, UniqueKey

    public interface RelationalModel

A relational object which may be created using DDL

Method Summary
`String` | `sqlCreateString(Dialect dialect, Mapping p, String defaultCatalog, String defaultSchema)`
`String` | `sqlDropString(Dialect dialect, String defaultCatalog, String defaultSchema)`

Method Detail

### sqlCreateString

    String sqlCreateString(Dialect dialect,
                           Mapping p,
                           String defaultCatalog,
                           String defaultSchema)
                           throws HibernateException

  Throws:
    `HibernateException`

### sqlDropString

    String sqlDropString(Dialect dialect,
                         String defaultCatalog,
                         String defaultSchema)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.